// MODAL

#modal {
  bottom: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
  position: fixed;
  right: 0;
  top: 0;
  transition: all 0.3s;
  z-index: 20;

  &:target {
    opacity: 1;
    pointer-events: auto;
  }

  & > div {
    background-color: #FFF;
    box-shadow: 0 14px 28px rgba(#000, 0.30), 0 15px 12px rgba(#000, 0.25);
    margin-left: auto;
    margin-right: auto;
    padding: 2em;
    margin-top: 25vh;
    width: 50%;
    display: flex;
    flex-direction: column;
  }

  h1 {
    color: #333;
    font-size: 2em;
  }

  h2 {
    margin-top: 1.5em;
  }
}

#modal-header {
  display: flex;
  justify-content: space-between;
}

#modal-footer {
  display: flex;
  font-size: 2em;
  justify-content: flex-start;

  a {
    margin-right: 0.25em;
  }
}

.modal-close {
  color: #000;
  font-size: 1.5em;
  text-align: center;
  text-decoration: none;

  &:hover {
    color: #000;
  }
}

#modal_init a {
  bottom: 1vh;
  color: var(--color-text-acc);
  left: 1vw;
  position: fixed;

  &:hover {
    color: var(--color-text-pri);
  }
}

#modal-theme {
  border-bottom: 0 solid var(--color-text-acc);
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 2em;
}

#providers {
  margin-bottom: 2em;
}
